from qgis.core import QgsProcessingProvider

from .fetchtengunextent import fetchtengunextent
from .fetchtengunlist import fetchtengunlist
from .listtengun import listtengun
from .transectlines import transectlines
from .crosssection import crosssection


class tengungun_provider(QgsProcessingProvider):

    def __init__(self):        
        QgsProcessingProvider.__init__(self)

    def unload(self):
        pass

    def loadAlgorithms(self):
        self.addAlgorithm(fetchtengunextent())
        self.addAlgorithm(fetchtengunlist())
        self.addAlgorithm(listtengun())
        self.addAlgorithm(crosssection())
        self.addAlgorithm(transectlines())

    def id(self):
        return 'tengungun'

    def name(self):
        return self.tr('TENGUNGUN')

    def icon(self):
        return QgsProcessingProvider.icon(self)

    def longName(self):
        return self.name()
